% Plotting for editing
% fieldnames(Fcf)

figure(1),clf,
    p=plot(Fcf.time,Fcf.signals.values(:,1),'b-');set(p,'LineWidth',2);
    hold on,
    plot(Fcf.time,Fcf.signals.values(:,2),'r-'),
    axis([0,24,0,1e-3]),
    set( get(1,'Children'), 'XTick', [0,4.35,10,12.8,15,20,24]),
    grid, 

figure(2),clf,
    plot(thetas.time,thetas.signals.values(:,1),'y-',...
      thetas.time,thetas.signals.values(:,2),'m-',...
      thetas.time,thetas.signals.values(:,3),'c-',...,
      thetas.time,thetas.signals.values(:,4),'r-',...,
      thetas.time,thetas.signals.values(:,5),'g-'),
    axis([0,24,0.5,10.5]),
    hold on,
    [m,n]=size(thetas.signals.values);
    mn=m*n;
    ths=reshape(thetas.signals.values',1,mn)';
    ths=ths((1:n:mn)'+Selected.signals.values-1);
    plot(thetas.time,ths,'k.')
    set( get(2,'Children'), 'XTick', [0,4.35,10,12.8,15,20,24]),
    set( get(2,'Children'), 'YTick', [1,2,5,10]),
    grid,

figure(3),clf,
    p=plot(Tra.time,Tra.signals.values(:,3),'b');
    set(p,'LineWidth',2);
    hold on,
    plot(Tra.time,Tra.signals.values(:,2),'r'),
    axis([0,24,795,815]),
    set( get(1,'Children'), 'XTick', [0,5,10,12,15,20,24]),
    grid, 

figure(4),clf,
    p=plot(Trg.time,Trg.signals.values(:,3),'b');
    set(p,'LineWidth',2);
    hold on,
    plot(Trg.time,Trg.signals.values(:,2),'r'),
    axis([0,24,975,1005]),
    set( get(1,'Children'), 'XTick', [0,5,10,12,15,20,24]),
    grid, 

figure(5),clf,
    p=plot(Crc.time,Crc.signals.values(:,1),'b');
    set(p,'LineWidth',2);
    hold on,
    plot(Crc.time,Crc.signals.values(:,2),'r'),
    axis([0,24,0.1,0.5]),
    set( get(1,'Children'), 'XTick', [0,5,10,12,15,20,24]),
    grid, 

figure(6),clf,
    p=plot(Csc.time,Csc.signals.values(:,1),'b');
    set(p,'LineWidth',2);
    hold on,
    plot(Csc.time,Csc.signals.values(:,2),'r'),
    axis([0,24,1,1.4]),
    set( get(1,'Children'), 'XTick', [0,5,10,12,15,20,24]),
    grid, 
    
figure(7),clf,
    plot(Gains.time,Gains.signals.values(:,1),'y-',...
      Gains.time,Gains.signals.values(:,2),'m-',...
      Gains.time,Gains.signals.values(:,3),'c-',...,
      Gains.time,Gains.signals.values(:,4),'r-',...,
      Gains.time,Gains.signals.values(:,5),'g-'),
    %axis([0,24,1e-4,1]),
    %grid on,set(get(7,'Children'),'YMinorGrid','off'),
    
if 0,
    disp('EPS file generation...'),
    figure(1),print -depsc -loose 'c:\data\Recherche\articles\EnCours\Automatica\a_Fcf.eps',
    figure(2),print -depsc -loose 'c:\data\Recherche\articles\EnCours\Automatica\a_thetas.eps',
    figure(3),print -depsc -loose 'c:\data\Recherche\articles\EnCours\Automatica\a_Tra.eps',
    figure(4),print -depsc -loose 'c:\data\Recherche\articles\EnCours\Automatica\a_Trg.eps',
    figure(5),print -depsc -loose 'c:\data\Recherche\articles\EnCours\Automatica\a_Crc.eps',
    figure(6),print -depsc -loose 'c:\data\Recherche\articles\EnCours\Automatica\a_Csc.eps',
    figure(7),print -depsc -loose 'c:\data\Recherche\articles\EnCours\Automatica\a_Gains.eps',
    close all,
    disp('Done.'),
end,
