function theta=theta_gen(u);
% Fonction qui gnre un vecteur theta(t) rpondant aux paramtres fixs
% pour satisfaire au thorme et au systme auquel il s'applique.
%

% Valeur de theta(0), pour laquelle l'observateur est grand-gain. Exemple: theta0=10;
% taux de dcroissance de theta(t). Exemple: lambda=1/10;
% Nombre d'observateurs en //. Exemple: N=5;
% Dure entre chaque naissance d'observateur grand-gain. Exemple: TsurN=10;
% T=N*TsurN;
% lambda=log((theta0-1)/(theta1-1))/TsurN;
%
t=u(1);
theta0=u(2);
lambda=u(3);
N=u(4);
T=u(5);

tau=t-(1:N)*T/N;
tau(tau<0)=0; % Les observateurs non dmarrs sont de type grand-gain
tau=tau-T*floor(tau/T);
theta=1+(theta0-1)*exp(-lambda*tau);
